"use strict";
{
	const SDK = self.SDK;

	const BEHAVIOR_ID = "skymen_RadialProgress";	
	const BEHAVIOR_VERSION = "1.0.0.2";
	const BEHAVIOR_CATEGORY = "general";
	
	const BEHAVIOR_CLASS = SDK.Behaviors.skymen_RadialProgress = class RadialProgressBehavior extends SDK.IBehaviorBase
	{
		constructor()
		{
			super(BEHAVIOR_ID);
			
			SDK.Lang.PushContext("behaviors." + BEHAVIOR_ID.toLowerCase());
			
			this._info.SetName(lang(".name"));
			this._info.SetDescription(lang(".description"));
			this._info.SetVersion(BEHAVIOR_VERSION);
			this._info.SetCategory(BEHAVIOR_CATEGORY);
			this._info.SetAuthor("skymen");
			this._info.SetHelpUrl(lang(".help-url"));
			this._info.SetIsOnlyOneAllowed(true);
			this._info.SetCanBeBundled(true);

			this._info.SetSupportedRuntimes(["c3"]);
			
			SDK.Lang.PushContext(".properties");
			
			console.log(this, this._info);
			
			
	
			this._info.SetProperties([
				new SDK.PluginProperty("integer", "resolution", 50, {"interpolatable":false}),
				new SDK.PluginProperty("check", "circular", true, {"interpolatable":false}),
				new SDK.PluginProperty("float", "innerRadiusX", 50, {"interpolatable":false}),
				new SDK.PluginProperty("float", "innerRadiusY", 50, {"interpolatable":false}),
				new SDK.PluginProperty("float", "outerRadiusX", 70, {"interpolatable":false}),
				new SDK.PluginProperty("float", "outerRadiusY", 70, {"interpolatable":false}),
				new SDK.PluginProperty("float", "value", 50, {"interpolatable":false}),
				new SDK.PluginProperty("float", "maximum", 100, {"interpolatable":false}),
				new SDK.PluginProperty("check", "inverted", false, {"interpolatable":false})
			]);
			
            SDK.Lang.PopContext(); //.properties
			SDK.Lang.PopContext();
		}
	};
	
	BEHAVIOR_CLASS.Register(BEHAVIOR_ID, BEHAVIOR_CLASS);
}